# Copyright 2016, Trimble Navigation Limited & POSH GmbH

# Permission to use, copy, modify, and distribute this software for 
# any purpose and without fee is hereby granted, provided that the above
# copyright notice appear in all copies.

# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#-----------------------------------------------------------------------------
require 'sketchup.rb'
require 'extensions.rb'

#-----------------------------------------------------------------------------

# Add Entry to Extensions Menu
ext_path = Sketchup.find_support_file('Plugins')
if( ext_path )
	menu = UI.menu('Plugins')
	menu.add_item('Extensions Path') {
		result = UI.messagebox "Path to Extensions Directory:\r\n\n#{ext_path}\r\n\nOpen Extensions Directory?", MB_YESNO
		if result == IDYES # true
			UI.openURL "#{ext_path}"
		end
	}
end
