# Create an entry in the Extension list
require 'sketchup.rb'
require 'extensions.rb'

extensions_path_extension = SketchupExtension.new('Display Path to Extensions Directory', 'extensions_path\extensions_path.rb')
extensions_path_extension.version = '2016a'
extensions_path_extension.copyright = 'Trimble Navigation, Inc. & POSH GmbH - Germany'
extensions_path_extension.creator = 'POSH GmbH www.sketch3d.de'
extensions_path_extension.description = 'Display Path to Extensions Directory and allows to open the Extensions Directory with the File Browser.'
Sketchup.register_extension(extensions_path_extension, true)
